Update on the Heartbleed Vulnerability

Heartbleed VirusSome NACDL members have inquired about the heartbleed security issue, and whether it affects our website. The compromised technology, OpenSSL which a function of Linux, is widely used on the Internet. We use a different security technology for our website, for NACDLConnect and for the our member interface system, which is not vulnerable to Heartbleed.

This is a very serious security vulnerability. Many major websites have rolled out patches. Here’s a link to a Digital Trends article, which provides information about a number of detection tools and fixes.

Advertisement Advertise with Us
ad